/**
 * Copyright (C) 2011 Angelo Zerr <angelo.zerr@gmail.com> and Pascal Leclercq <pascal.leclercq@gmail.com>
 *
 * All rights reserved.
 *
 * Permission is hereby granted, free  of charge, to any person obtaining
 * a  copy  of this  software  and  associated  documentation files  (the
 * "Software"), to  deal in  the Software without  restriction, including
 * without limitation  the rights to  use, copy, modify,  merge, publish,
 * distribute,  sublicense, and/or sell  copies of  the Software,  and to
 * permit persons to whom the Software  is furnished to do so, subject to
 * the following conditions:
 *
 * The  above  copyright  notice  and  this permission  notice  shall  be
 * included in all copies or substantial portions of the Software.
 *
 * THE  SOFTWARE IS  PROVIDED  "AS  IS", WITHOUT  WARRANTY  OF ANY  KIND,
 * EXPRESS OR  IMPLIED, INCLUDING  BUT NOT LIMITED  TO THE  WARRANTIES OF
 * MERCHANTABILITY,    FITNESS    FOR    A   PARTICULAR    PURPOSE    AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
 * LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
 * OF CONTRACT, TORT OR OTHERWISE,  ARISING FROM, OUT OF OR IN CONNECTION
 * WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */
package fr.opensagres.xdocreport.core.debugger;

import java.net.URL;

/**
 * Abstract registry debugger.
 * 
 */
public abstract class AbstractRegistryDebugger implements IRegistryDebugger {

	public void startRegistryInitialization(String registryType,
			String propertiesFileName) {
		log("Start registry [" + registryType
				+ "] initialization which use properties file name="
				+ propertiesFileName);

	}

	public void startLoadingPropertiesFile(URL url) {
		// TODO Auto-generated method stub

	}

	public void addReportFactoryForReportLoader(String clazz) {
		// TODO Auto-generated method stub

	}

	public void dontImplementClass(String clazz) {
		// TODO Auto-generated method stub

	}

	public void cannotInstantiateClass(String clazz, Throwable e) {
		// TODO Auto-generated method stub

	}

	public void endLoadingPropertiesFile(URL url, Object object) {
		// TODO Auto-generated method stub

	}

	public void endRegistryInitialization(String registryType,
			long elapsedTime, Throwable e) {
		if (e == null) {
			log("End registry [" + registryType + "] initialization done with "
					+ elapsedTime + "(ms).");
		} else {
			log("End registry [" + registryType
					+ "] initialization with error done with " + elapsedTime
					+ "(ms).", e);
		}
	}

	/**
	 * Log information message.
	 * 
	 * @param message
	 */
	protected abstract void log(String message);

	/**
	 * Log error message with an exception.
	 * 
	 * @param message
	 * @param e
	 */
	protected abstract void log(String message, Throwable e);

}
